# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /__w/vision/vision/pytorch/vision/packaging/torchvision, last modified Fri Mar 10 06:20:51 2023
# ------------------------------------------------

package:
  name: torchvision
  version: 0.15.0
source:
  path: /__w/vision/vision/pytorch/vision
build:
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - BUILD_VERSION
    - CUDA_HOME
    - FORCE_CUDA
    - MACOSX_DEPLOYMENT_TARGET
    - TORCH_CUDA_ARCH_LIST
  string: py39_cpu
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - ffmpeg 4.2.2 h20bf706_0
    - freetype 2.12.1 h4a9f257_0
    - gmp 6.2.1 h295c915_3
    - gnutls 3.6.15 he1e5248_0
    - jpeg 9e h5eee18b_1
    - lame 3.100 h7b6447c_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libidn2 2.3.2 h7f8727e_0
    - libopus 1.3.1 h7b6447c_0
    - libpng 1.6.39 h5eee18b_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtasn1 4.16.0 h27cfd23_0
    - libunistring 0.9.10 h27cfd23_0
    - libvpx 1.7.0 h439df22_0
    - nettle 3.7.3 hbbd107a_1
    - openh264 2.1.1 h4ff587b_0
    - x264 1!157.20191217 h7b6447c_0
    - zlib 1.2.13 h5eee18b_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2023.01.10 h06a4308_0
    - certifi 2022.12.7 py39h06a4308_0
    - filelock 3.9.0 py39h06a4308_0
    - flit-core 3.6.0 pyhd3eb1b0_0
    - gmp 6.2.1 h295c915_3
    - gmpy2 2.1.2 py39heeb90bb_0
    - intel-openmp 2023.0.0 h9e868ea_25371
    - jinja2 3.1.2 py39h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - markupsafe 2.1.1 py39h7f8727e_0
    - mkl 2023.0.0 h6d00ec8_25399
    - mpc 1.1.0 h10f8cd9_1
    - mpfr 4.0.2 hb69a4c5_1
    - mpmath 1.2.1 py39h06a4308_0
    - ncurses 6.4 h6a678d5_0
    - networkx 2.8.4 py39h06a4308_0
    - openssl 1.1.1t h7f8727e_0
    - pip 23.0.1 py39h06a4308_0
    - python 3.9.16 h7a1cb2a_2
    - pytorch 2.0.0 py3.9_cpu_0
    - pytorch-mutex 1.0 cpu
    - readline 8.2 h5eee18b_0
    - setuptools 65.6.3 py39h06a4308_0
    - sqlite 3.40.1 h5082296_0
    - sympy 1.11.1 py39h06a4308_0
    - tbb 2021.7.0 hdb19cb5_0
    - tk 8.6.12 h1ccaba5_0
    - typing_extensions 4.4.0 py39h06a4308_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.38.4 py39h06a4308_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - defaults::numpy >=1.11
    - ffmpeg >=4.2
    - jpeg
    - libpng
    - pillow >=5.3.0, !=8.3.*
    - python >=3.9,<3.10.0a0
    - pytorch-mutex 1.0 cpu
    - pytorch==2.0.0
    - requests
  run_constrained:
    - cpuonly
test:
  imports:
    - torchvision
    - torchvision.datasets
    - torchvision.transforms
  requires:
    - ca-certificates
    - jpeg
    - pytest
    - scipy
  source_files:
    - test
about:
  home: https://github.com/pytorch/vision
  license: BSD
  license_file: LICENSE
  summary: image and video datasets and models for torch deep learning
extra:
  copy_test_source_files: true
  final: true
